Green SPOT API

DELETE /v1/bids/{bid_id}

Ein offenes Gebot zurückziehen. Möglich bis zur Gate Closure um 10:30 Uhr Europe/Berlin an D−1 — danach ist das Gebot unwiderruflich bindend, und die Anfrage wird mit einem Zustandskonflikt zurückgewiesen. Die Antwort liefert das Gebot mit dem Status withdrawn. Erforderlicher Scope: trading:write

Als Markdown anzeigen

Freischaltung erforderlich

Diese API muss für Ihr Konto explizit freigeschaltet werden. Wenden Sie sich dazu an den Support.
DELETE
/v1/bids/{bid_id}
X-Api-Key<token>

In: header

Path Parameters

bid_idstring

Kennung des Gebots

Response Body

curl -X DELETE "https://api.otark.com/v1/bids/bid_a1b2c3d4"
{
  "id": "bid_a1b2c3d4",
  "direction": "sell",
  "portfolio_id": "portfolio_w1n2o3r4",
  "delivery_date": "2026-03-18",
  "quarter_hour": 54,
  "quantity": 6,
  "price_limit": 80,
  "status": "open",
  "created_at": "2026-03-17T08:15:00Z"
}

{
  "type": "https://api.otark.com/errors/invalid_api_key",
  "title": "Ungültiger API-Schlüssel",
  "status": 401
}

{
  "type": "https://api.otark.com/errors/insufficient_scopes",
  "title": "Unzureichende Scopes des API-Schlüssels",
  "status": 403,
  "detail": "Missing scope: trading:write. Please create a new API key with the required scopes."
}

{
  "type": "https://api.otark.com/errors/order_not_found",
  "title": "Order nicht gefunden",
  "status": 404,
  "instance": "/v1/orders/ord_g7h8i9j0"
}

{
  "type": "https://api.otark.com/errors/gate_closed",
  "title": "Gate Closure überschritten",
  "status": 409,
  "detail": "The day-ahead gate for delivery day 2026-03-18 closed at 10:30 Europe/Berlin. Bids can no longer be changed or withdrawn."
}